uk.ac.starlink.fits

## Interface FitsTableSerializerConfig

-     public interface FitsTableSerializerConfig

  Aggregates configuration options for FITS table serialization.
  Since:
    13 May 2021

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `allowSignedByte()` Indicates how byte values will be written.
    `boolean` | `allowZeroLengthString()` Indicates whether columns with TFORMn=0A may be output.
    `byte` | `getPadCharacter()` Returns the byte value with which under-length string (character array) values should be padded.
    `StringEncoder` | `getUnicodeHandler()` Returns an object which will be used to map arbitrary String values to FITS-friendly ASCII characters for table data.
    `WideFits` | `getWide()` Returns the convention for representing over-wide tables.

- - ### Method Detail

    - #### allowSignedByte

          boolean allowSignedByte()

      Indicates how byte values will be written. If true, byte values are written as FITS unsigned bytes with an offset as discussed in the FITS standard (`TFORM=B`, `TZERO=-128`); if false, they are written as signed shorts (`TFORM=I`).
      Returns:
        true to write as bytes, false to write as shorts

    - #### allowZeroLengthString

          boolean allowZeroLengthString()

      Indicates whether columns with TFORMn=0A may be output. Such columns are explicitly permitted by the FITS standard, but they cause failures in some versions of CFITSIO.
      Returns:
        false to block TFORMn=0A column output, true to allow it

    - #### getWide

          WideFits getWide()

      Returns the convention for representing over-wide tables.
      Returns:
        wide table convention, or null to avoid writing wide tables

    - #### getPadCharacter

          byte getPadCharacter()

      Returns the byte value with which under-length string (character array) values should be padded. This should normally be one of 0x00 (ASCII NUL) or 0x20 (space).
      Returns:
        padding value for character array data

    - #### getUnicodeHandler

          StringEncoder getUnicodeHandler()

      Returns an object which will be used to map arbitrary String values to FITS-friendly ASCII characters for table data.
      Returns:
        string encoder